(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4418,        135]
NotebookOptionsPosition[      3810,        109]
NotebookOutlinePosition[      4187,        125]
CellTagsIndexPosition[      4144,        122]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Vyps\[AAcute]n\[IAcute] hodnoty z teplotn\[IAcute]ho \[CHacek]idla", \
"Section",
 CellChangeTimes->{{3.594578085675868*^9, 3.594578116083548*^9}, {
   3.594578162729472*^9, 3.5945781860453167`*^9}, 3.5945782809378357`*^9, {
   3.5945783199092503`*^9, 3.59457833884431*^9}, {3.594823020708144*^9, 
   3.594823122462964*^9}}],

Cell[TextData[{
 StyleBox["Script \[CHacek]touc\[IAcute] hodnotu teploty z \[CHacek]idla:",
  FontSize->16],
 "\n",
 StyleBox["#! /bin/bash\nsudo modprobe w1-gpio\nsudo modprobe w1-therm\ncat \
/sys/bus/w1/devices/28-00000040e6aa/w1_slave | grep  -E -o \".{0,0}t=.{0,5}\" \
| cut -c 3-",
  FontWeight->"Bold"]
}], "Program",
 CellChangeTimes->{{3.595091777095607*^9, 3.5950918041663136`*^9}, {
  3.5950918595118475`*^9, 3.5950919095758533`*^9}, {3.595091949624858*^9, 
  3.595091950960992*^9}, {3.595091988186714*^9, 3.595092033621257*^9}, {
  3.5950920658704815`*^9, 3.5950920688307776`*^9}, {3.595092108990793*^9, 
  3.595092117730667*^9}}],

Cell[BoxData[
 RowBox[{"Style", "[", 
  RowBox[{
   RowBox[{"ToString", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"<<", " ", "\"\<!/home/pi/teplota.sh\>\""}], ")"}], "/", 
     "1000."}], "]"}], ",", "48", ",", " ", "Bold"}], "]"}]], "Input",
 CellChangeTimes->{{3.594578085675868*^9, 3.594578116083548*^9}, {
   3.594578162729472*^9, 3.5945781860453167`*^9}, 3.5945782809378357`*^9, {
   3.5945783199092503`*^9, 3.59457833884431*^9}, {3.594823020708144*^9, 
   3.594823116354615*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Zobrazen\[IAcute] na m\[EHacek]\[RHacek]idle", "Section",
 CellChangeTimes->{{3.5948231798452463`*^9, 3.5948231962961874`*^9}}],

Cell[BoxData[
 RowBox[{"ThermometerGauge", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"<<", " ", "\"\<!/home/pi/teplota.sh\>\""}], ")"}], "/", 
    "1000."}], ",", 
   RowBox[{"{", 
    RowBox[{"18", ",", "35"}], "}"}], ",", 
   RowBox[{"GaugeLabels", "\[Rule]", "\"\<Value\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.594829554991884*^9, 3.5948295620052853`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Zobrazen\[IAcute] s jednotkami (interaktivita s paclet servery)", \
"Section",
 CellChangeTimes->{{3.594823203377592*^9, 3.5948232292950745`*^9}}],

Cell[BoxData[
 RowBox[{"ThermometerGauge", "[", 
  RowBox[{
   RowBox[{"Quantity", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"<<", " ", "\"\<!/home/pi/teplota.sh\>\""}], ")"}], "/", 
      "1000."}], ",", "\"\<Celsius\>\""}], "]"}], ",", 
   RowBox[{"Quantity", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"18", ",", "35"}], "}"}], ",", "\"\<Celsius\>\""}], "]"}], ",", 
   
   RowBox[{"GaugeLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Unit\>\"", ",", "\"\<Value\>\""}], "}"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"18", ",", "Bold"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5945793704664173`*^9, 3.5945793980896587`*^9}, 
   3.594579435765172*^9, {3.594579474783307*^9, 3.5945794967106256`*^9}, {
   3.594579548212332*^9, 3.594579605528048*^9}, {3.5948296107900753`*^9, 
   3.594829611759131*^9}, {3.594829642440886*^9, 3.594829755160333*^9}, {
   3.594829797680765*^9, 3.594829797972782*^9}}]
}, Open  ]]
},
WindowSize->{1298, 837},
WindowMargins->{{101, Automatic}, {112, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 330, 5, 130, "Section"],
Cell[913, 29, 642, 13, 166, "Program"],
Cell[1558, 44, 495, 11, 45, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2090, 60, 133, 1, 130, "Section"],
Cell[2226, 63, 385, 10, 45, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2648, 78, 152, 2, 130, "Section"],
Cell[2803, 82, 991, 24, 75, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
